Bug 247488 - lang/nim: Update to 1.2.4
Summary: lang/nim: Update to 1.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://nim-lang.org/blog/2020/06/17/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-22 21:32 UTC by Loïc Bartoletti
Modified: 2020-07-30 19:44 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments
lang/nim: Update to 1.2.2 (39.81 KB, patch)
2020-06-22 21:32 UTC, Loïc Bartoletti
no flags Details | Diff
lang/nim: Update to 1.2.4 (39.45 KB, patch)
2020-07-29 07:18 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-06-22 21:32:54 UTC
Created attachment 215866 [details]
lang/nim: Update to 1.2.2

lang/nim: Update to 1.2.2

 - Update to 1.2.2
 - Fix Installation path (bug #247193).
 - Remove files/patch-install.sh Install files by hand [1]
 - fix DOCS install
 - add do-test [2]

[1] We have to fix it every time we update and it does not perform a complete installation.
[2] Some tests failed but there is a CI for Nim where all tests pass
Comment 1 Neal Nelson 2020-06-25 07:14:46 UTC
Comment on attachment 215866 [details]
lang/nim: Update to 1.2.2

This looks OK to me.
Comment 2 Loïc Bartoletti freebsd_committer 2020-07-29 07:18:53 UTC
Created attachment 216851 [details]
lang/nim: Update to 1.2.4

Minor update. Only version and distinfo differ
Comment 3 commit-hook freebsd_committer 2020-07-30 19:42:15 UTC
A commit references this bug:

Author: lbartoletti
Date: Thu Jul 30 19:41:46 UTC 2020
New revision: 543824
URL: https://svnweb.freebsd.org/changeset/ports/543824

Log:
  lang/nim: Update to 1.2.4

  PR:	247488, 247193
  Approved by:	Neal Nelson (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25875

Changes:
  head/lang/nim/Makefile
  head/lang/nim/distinfo
  head/lang/nim/files/patch-install.sh
  head/lang/nim/pkg-plist
Comment 4 Loïc Bartoletti freebsd_committer 2020-07-30 19:44:17 UTC
Committed, thanks!